'use strict';

var React = require('react');

function _interopNamespaceDefault(e) {
  var n = Object.create(null);
  if (e) {
    Object.keys(e).forEach(function (k) {
      if (k !== 'default') {
        var d = Object.getOwnPropertyDescriptor(e, k);
        Object.defineProperty(n, k, d.get ? d : {
          enumerable: true,
          get: function () { return e[k]; }
        });
      }
    });
  }
  n.default = e;
  return Object.freeze(n);
}

var React__namespace = /*#__PURE__*/_interopNamespaceDefault(React);

var _g, _defs;
var _excluded = ["title", "titleId"];
function _extends() { return _extends = Object.assign ? Object.assign.bind() : function (n) { for (var e = 1; e < arguments.length; e++) { var t = arguments[e]; for (var r in t) ({}).hasOwnProperty.call(t, r) && (n[r] = t[r]); } return n; }, _extends.apply(null, arguments); }
function _objectWithoutProperties(e, t) { if (null == e) return {}; var o, r, i = _objectWithoutPropertiesLoose(e, t); if (Object.getOwnPropertySymbols) { var n = Object.getOwnPropertySymbols(e); for (r = 0; r < n.length; r++) o = n[r], -1 === t.indexOf(o) && {}.propertyIsEnumerable.call(e, o) && (i[o] = e[o]); } return i; }
function _objectWithoutPropertiesLoose(r, e) { if (null == r) return {}; var t = {}; for (var n in r) if ({}.hasOwnProperty.call(r, n)) { if (-1 !== e.indexOf(n)) continue; t[n] = r[n]; } return t; }
var SvgLeaf1 = function SvgLeaf1(_ref) {
  var title = _ref.title,
    titleId = _ref.titleId,
    props = _objectWithoutProperties(_ref, _excluded);
  return /*#__PURE__*/React__namespace.createElement("svg", _extends({
    xmlns: "http://www.w3.org/2000/svg",
    fill: "none",
    viewBox: "0 0 80 80",
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React__namespace.createElement("title", {
    id: titleId
  }, title) : null, _g || (_g = /*#__PURE__*/React__namespace.createElement("g", {
    clipPath: "url(#Leaf1_svg__a)"
  }, /*#__PURE__*/React__namespace.createElement("path", {
    fill: "currentColor",
    d: "M39.246 78H40.6V66.11h.155c3.956-.145 7.712-1.68 10.532-4.301 5.466-4.794 8.178-13.135 7.646-23.495-.877-17.065-18.21-35.936-18.386-36.092a.7.7 0 0 0-.244-.166.84.84 0 0 0-.607 0 .6.6 0 0 0-.244.161C38.746 3 21.987 21.691 21.067 38.314 20.535 48.7 23.194 57.04 28.553 61.81c2.823 2.621 6.581 4.155 10.538 4.3h.154zm.148-13.08h-.164c-3.578-.127-6.977-1.504-9.54-3.864-5.024-4.517-7.624-12.779-7.135-22.671.756-14.59 14.622-31.515 17.392-34.758l.128-.145.122.145a105 105 0 0 1 9.608 13.351c4.86 8.03 7.465 15.233 7.779 21.371.531 9.863-2.127 18.13-7.14 22.672-2.555 2.368-5.956 3.747-9.534 3.864h-.17V50.44l.053-.045 8.023-7.027-.952-.813-7.135 6.239V37.752l.053-.045 8.034-7.027-.952-.808-7.135 6.234V22.504h-1.356v13.602l-7.13-6.234-.952.808 8.082 7.072v11.042l-7.13-6.239-.941.813 8.082 7.072z"
  }))), _defs || (_defs = /*#__PURE__*/React__namespace.createElement("defs", null, /*#__PURE__*/React__namespace.createElement("clipPath", {
    id: "Leaf1_svg__a"
  }, /*#__PURE__*/React__namespace.createElement("path", {
    d: "M0 0h80v80H0z"
  })))));
};

exports.ReactComponent = SvgLeaf1;
